### Hierarchy

- Resetable
  - SpyFunc0Proxy
  - SpyFunc1Proxy
  - SpyFunc2Proxy
  - SpyFunc3Proxy
  - SpyFunc4Proxy
  - SpyFunc5Proxy
  - SpyFunc6Proxy
  - SpyFunc7Proxy
  - SpyFunc8Proxy
  - SpyFunc9Proxy
  - SpyFunc10Proxy

## Index

### Methods

- reset

## Methods

### reset

- reset(): this

- - Defined in node_modules/@types/chai-spies/index.d.ts:447

  #### proxy.reset (function)

  Resets __spy object parameters for instantiation and reuse

  #### Returns this

  proxy spy object

Generated using TypeDoc